@font-face {
    font-family: 'Montserrat-ExtraBold';
    src: url('../font/Montserrat-ExtraBold.eot') format('embedded-opentype'),  url('../font/Montserrat-ExtraBold.woff') format('woff'), url('../font/Montserrat-ExtraBold.ttf')  format('truetype'), url('../font/Montserrat-ExtraBold.svg') format('svg');
    font-weight: normal;
    font-style: normal;
  }

/* 使页面滚动顺滑，很重要！！！！！！ */
html, body { scroll-behavior:smooth; }


body {
    margin: 0;
    font-family: "SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    -moz-font-smoothing: antialiased;
    -ms-font-smoothing: antialiased;
    font-smoothing: antialiased;


    background-color: white;
}



/* header */

.header {
  width: 100%;
  height: 60px;
  position: fixed;
  top: 0;
  left: 0;

  z-index: 2;

}

.password_header {
  width: 100%;
  height: 60px;
  position: fixed;
  top: 0;
  left: 0;

  z-index: 2;
  /* 密码正确后变成白色，由页面js控制 */
  background-color: black;
}


.header_logo {
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-size: 30px;
  line-height: 60px;
  color: black;
  text-decoration: none;

  margin-left: 40px;
}



.header_right {
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  display: inline;
  position: absolute;
  right: 40px;
}

.header_link {
  font-size: 16px;
  line-height: 60px;
  color: black;
  text-decoration: none;

  margin-left: 44px;

  /* 链接悬浮时下面的横条定位用 */
  position: relative;
}


.header_link:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -4px;
  width: 0px;
  height: 2px;
  background: black;

  transition: .6s;
}


.header_link_active:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -4px;
  width: 100%;
  height: 2px;
  background: black;
}


.header_link:hover:after {
  width: 100%;
  transition: .6s;
}



/* 汉堡菜单 */
.hamberger_container {
  width: 22px;
  height: 60px;
  background-color: transparent;
  opacity: 0;


  position: absolute;
  top: 0;
  right: 0;

  cursor: pointer;
  z-index: -1;
}


@media screen and (max-width:801px) {

  .header_link {
      visibility: hidden;
      opacity: 0;
      transition: .1s;
      -webkit-user-select: none;
      -webkit-user-drag: none;
      display: none;
  }


  .hamberger_container {
      opacity: 1;
      z-index: auto;
      transition: .1s;

  }


}


.hamburger {
  padding: 16px 0px;
  display: inline-block;
  cursor: pointer;
  transition-property: opacity, -webkit-filter;
  transition-property: opacity, filter;
  transition-property: opacity, filter, -webkit-filter;
  transition-duration: 0.15s;
  transition-timing-function: linear;
  font: inherit;
  color: inherit;
  text-transform: none;

  background-color: transparent;
  border: 0;
  margin: 0;
  overflow: visible;

  position: absolute;
  left: 0;
}

.hamburger:hover {
  opacity: 1;
}

.hamburger-box {
  width: 22px;
  height: 24px;
  display: inline-block;
  position: relative;
}

.hamburger-inner {
  display: block;
  top: 50%;
  margin-top: -2px;
}


.hamburger-inner,
.hamburger-inner::before,
.hamburger-inner::after {
  width: 22px;
  height: 3px;
  background-color: #000;
  border-radius: 0px;
  position: absolute;
  transition-property: -webkit-transform;
  transition-property: transform;
  transition-property: transform, -webkit-transform;
  transition-duration: 0.15s;
  transition-timing-function: ease;
}


.hamburger-inner::before,
.hamburger-inner::after {
  content: "";
  display: block;
}

.hamburger-inner::before {
  top: -9px;
  /*       width:75%; */
}

.hamburger-inner::after {
  bottom: -10px;
  width: 70%;
  right: 0;
}


/* Collapse Reverse */
.hamburger--collapse-r .hamburger-inner {
  top: auto;
  bottom: 0;
  transition-duration: 0.15s;
  transition-delay: 0.15s;
  transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
}

.hamburger--collapse-r .hamburger-inner::after {
  top: -18px;
  transition: top 0.3s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), opacity 0.1s linear;
}

.hamburger--collapse-r .hamburger-inner::before {
  transition: top 0.12s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), -webkit-transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19);
  transition: top 0.12s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19);
  transition: top 0.12s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19), -webkit-transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19);
}


.hamburger--collapse-r.is-active .hamburger-inner {
  -webkit-transform: translate3d(0, -10px, 0) rotate(45deg);
  transform: translate3d(0, -10px, 0) rotate(45deg);
  transition-delay: 0.32s;
  transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
}

.hamburger--collapse-r.is-active .hamburger-inner::after {
  top: 0;
  opacity: 0;
  transition: top 0.3s cubic-bezier(0.33333, 0, 0.66667, 0.33333), opacity 0.1s 0.27s linear;
}

.hamburger--collapse-r.is-active .hamburger-inner::before {
  top: 0;
  -webkit-transform: rotate(90deg);
  transform: rotate(90deg);
  transition: top 0.12s 0.18s cubic-bezier(0.33333, 0, 0.66667, 0.33333), -webkit-transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1);
  transition: top 0.12s 0.18s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1);
  transition: top 0.12s 0.18s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1), -webkit-transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1);
}




/* 点击汉堡按钮后出现的内容 */
.header_black_menu_mask {
  widows: 1px;
  height: 100%;
  border-radius: 0px;
  background-color: white;
  /* opacity: .8; */

  position: fixed;
  right: 0;
  top: 0;
  z-index: 1;

  overflow: hidden;
}


.header_hambburger_menu_container {
  position: absolute;
  width: 100%;
  margin-top: 132px;


}


.header_hamburger_menu {
  display: block;
  text-align: left;
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-size: 52px;
  line-height: 52px;
  margin-bottom: 44px;
  /* margin-left: 135px; */
  margin-left: 295px;
  margin-right: auto;


  text-decoration: none;
  color: #B3B3B3;

  transition: .3s;
}


.header_hamburger_menu:hover {
  color: black;
  transition: .3s;
}


.header_hamburger_menu_active {
  color: black;
  transition: .3s;
}

/* 汉堡图标点击之后出现菜单底部的链接和版权声明 */
.header_hamburger_bottom_container {
  position: absolute;
  bottom: 40px;

  overflow: hidden;
}



.header_hamburger_bottom {
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-size: 12px;
  line-height: 12px;
  margin-top: 10px;
  color: #B3B3B3;

  /* margin-left: 135px; */
  margin-left: 295px;

  white-space: nowrap;
  /* 文本不换行 */

}


.header_hamburger_link {
  color: #B3B3B3;
}

.header_hamburger_link:hover {
  color: black;
  transition: .3s;
}



.main_img{
  margin-top: 60px;
}


.container {
    max-width: 1000px;
    margin: 0 auto;
    /* background-color: white; */
}


.title_info_container{
  margin-top: 120px;
}

.title_info_left{
  display: inline-block;
  max-width: 300px;
  margin-top: 6px;
}


.work_detailPage_title{
  margin: 0;
  font-size: 44px;
  line-height: 1;
  font-weight: 900;
}


.work_detailPage_info{
  margin-top: 28px;
}

.work_detailPage_info_left{
  display: inline-block;
}

.work_detailPage_info_left_p{
  line-height: 1;
  margin-bottom: 16px;
  /* color: #555555; */
  /* 输入正确密码后颜色变为#555555 */
  color: black;
}


.work_detailPage_info_right{
  display: inline-block;
  margin-left: 40px;
}

.work_detailPage_info_left_a{
  line-height: 1;
  margin-bottom: 16px;
  /* color: #555555; */
  /* 输入正确密码后颜色变为#555555 */
  color: black;
  text-decoration: underline;
}


.title_info_right{
  max-width: 560px;
  float: right;
  display: inline-block;
}



.text_container {
    max-width: 750px;
    margin: 80px auto 0 auto;
}


/* 图片下面的文字 */
.text_under_img{
    margin-top: 64px;

}


p {
    font-size: 16px;
    line-height: 2;
    /* 输入正确密码后颜色变为#333333 */
    color: black;
    /* color: #333333; */
    margin-top: 0;
    margin-bottom: 0;
}

.first_img_container{
  display: inline-block;
}

.framer_link{
  display: none;
}

.framer_click_button_container{
  position: relative;
  height: 0;
}

.framer_click_button{
  position: absolute;
  top: 20px;
  right:20px;
}

.framer_button{
  width: 40px;

}

/* 输入密码后背景色变成#efefef */
.img_container{
  background-color: #000;
  margin-top: 64px;
}

.img_default {
    width: 100%;
    /* margin-top: 64px; */
    background-color: #EFEFEF;
}

.password_img_default {
    width: 100%;
    /* margin-top: 64px; */
    background-color: #EFEFEF;
    /* 输入密码后透明度变成1 */
    opacity: 0;
}

.img_shadow{
  box-shadow: 1px 0px 2px rgba(0,0,0,.03), -1px 0px 2px rgba(0,0,0,0.03);
}

.img_annotation {
    text-align: center;
    font-size: 12px;
    line-height: 1.5;
    color: #999999;
    margin-top: 16px;
}


.dashed_line{
    border-bottom: 1px dashed #E6E6E6;
    margin-top: 120px;
}

.title {
    color: #222222;
    font-size: 44px;
    line-height: 60px;
    font-weight: 900;

    margin-top: 0;
    margin-bottom: 0;

}

.tags_time {
  font-family: "times";
  line-height: 16px;
  font-weight: 900;
  font-style: italic;
  color: #333333;
  margin-top: 20px;
  margin-bottom: 64px;
}


/* wechat dribbble uplabs instagram */
.social_icon_container{
    width:492px;
    margin:120px auto 0 auto;
  }
  
  
  .social_icon_wrap{
    overflow:hidden;
  }
  
  .social_icon_a{
    float:left;
    margin-right:84px;
    cursor: pointer;
    background-color: black;
    border-radius: 50%;
  }
  
  .social_icon_img{
    width:60px;
    -webkit-user-drag: none;
    user-select: none;
  }


/* social_icon hover状态*/
  #social_icon_dribbble:hover{
    background-color: #D9588A;
    transition: .2s;
  }
  
  
  #social_icon_uplabs:hover{
    background: -webkit-linear-gradient(left, #5B32CA , #3F6EEE); /* Safari 5.1 - 6.0 */
    background: -o-linear-gradient(right, #5B32CA , #3F6EEE); /* Opera 11.1 - 12.0 */
    background: -moz-linear-gradient(right, #5B32CA , #3F6EEE); /* Firefox 3.6 - 15 */
    background: linear-gradient(to right, #5B32CA , #3F6EEE); /* 标准的语法 */
  
    transition: .2s;
  }
  
  
  #social_icon_instagram:hover{
    background: #d6249f;
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%,#d6249f 60%,#285AEB 90%);
    transition: .2s;
  }
  
  #social_icon_email:hover{
    background-color: pink;
    transition: .2s;
  }





/* blog详情页底部内容 */
  .detail_page_bottom{
    width:100%;
    height:132px;
    
    text-align:center;
    margin-top: 240px;
  }
  
  .all_articles{
    font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
    font-size:36px;
    font-weight: 900;
    line-height:132px;
    color:black;
    text-decoration: none;
    
    margin:0 auto;
    
    /* 鼠标悬浮时下面出现的长条定位用 */
    position: relative;

    
  }


  .all_articles:after{
      content: "";
      position: absolute;
      left: 0;
      bottom: -3px;
      width: 0;
      height: 4px;
      background: black;

      transition: .6s;

  }


  .all_articles:hover:after{
      width: 100%;
      transition: .6s;
  }

  
  .copyright{
    font-size:14px;
    line-height:132px;
    color:#B3B3B3;
    
    float:left;
    margin-left:60px;
    font-weight: 600;
      
  }
  
  .find_me_on_github{
    font-size:14px;
    line-height:132px;
    color:#B3B3B3;
      
    float:right;
    margin-right:60px;
    font-weight: 600;
    
  }
  
  .find_me_on_github a{
    color:#B3B3B3;
  }

  .find_me_on_github a:hover{
    color:black;
    transition: .3s;
  }




@media screen and (max-width:1024px){
  .dashed_line{
    width: 100%;
    position: absolute;
  }
}



/* 页面宽度处于1025-1200px时 */
@media screen and (min-width:1024px) and (max-width:1201px) {
    .container {
        max-width: 900px;
    }
    .text_container {
        max-width: 700px;
    }
}

/* title&info&text */
@media screen and (max-width:945px) and (min-width:768px){
  .container {
    margin-left: 40px;
    margin-right: 40px;
}

.title_info_right {
  max-width: 45vw;
}

}

@media screen and (max-width:768px){
  .title_info_right {
    max-width: 100%;
    float: none;
    display: block;
    margin-top: 44px;

  }
  
}




/* 页面宽度处于769-1024px时 */

@media screen and (min-width:768px) and (max-width:1025px) {
    .container {
      max-width: calc(100% - 80px);
    }
    .text_container {
        max-width: 750px;
    }


}


/* 页面宽度处于656-768px时 */

@media screen and (min-width:414px) and (max-width: 769px) {
    .container {
      max-width: calc(100% - 80px);
    }
    .text_container {
        max-width: 600px;
        padding-left: 30px;
        padding-right: 30px;
    }

    .title{
        font-size: 40px;
        line-height: 55px;
    }
}

/* header距离左右的距离 */
@media screen and (max-width:579px){
.header_logo {
    margin-left: 20px;
}
.header_right {
  right: 20px;
}

.container {
  max-width: calc(100% - 40px);
}

/* .img_default {
  margin-top: 32px;
} */

.img_container {
  margin-top: 32px;
}

.title_info_right {
  margin-top: 28px;
}

.work_detailPage_title {
  font-size: 36px;
}

.title_info_container {
  margin-top: 80px;
}

}


/* @media screen and (max-width:579px) and (min-width:415px){
  .social_icon_container {
   margin-left: 4vw;
}
} */


/* 底部copyright */
@media screen and (max-width: 1001px) and (min-width:769px) {

    .detail_page_bottom {
      width: 100%;
      height: 96px;
      text-align: center;
      margin-top: 304px;
    }
    
    .copyright {
      line-height: 14px;
      display: block;
      float:none;
      margin-left:0;
    }
    
    
    .all_articles {
      font-size: 36px;
      line-height: 36px;
      text-decoration: none;
      margin: 0 auto;
      position: relative;
      display: block;
      margin-top: -110px;
    }
    
    .find_me_on_github {
      line-height: 14px;
      float: none;
      margin-right: 0;
      display: block;
      margin-top: 92px;
    }
    
    .all_articles:after {
      height: 0px;
    }
    
    }
  
  /* 底部copyright */
@media screen and (max-width: 769px) {
  
  .detail_page_bottom {
    width: 100%;
    height: 96px;
    text-align: center;
    margin-top: 304px;
  }
  
  .copyright {
    line-height: 14px;
    display: block;
    float:none;
    margin-left:0;
  }
  
  
  .all_articles {
    font-size: 28px;
    line-height: 36px;
    text-decoration: none;
    margin: 0 auto;
    position: relative;
    display: block;
    margin-top: -110px;
  }
  
  .find_me_on_github {
    line-height: 14px;
    float: none;
    margin-right: 0;
    display: block;
    margin-top: 92px;
  }
  
  .all_articles:after {
    height: 0px;
  }
  
  }


/* 页面宽度缩小到689时，底部social_icon距离变小 */
@media screen and (max-width:689px) and (min-width:415px){
    .social_icon_a {
      margin-right: 9vw;
  }
  
  .social_icon_img {
    width: 9vw;
  }
  
  
  .social_icon_wrap {
    margin-right: -9vw;
  }
  
  .social_icon_container {
   width: 63vw;
}
  /* .social_icon_container {
    margin-left: 9vw;
  } */
  
  }


/* 页面宽度小于415px时底部copyright */
@media screen and (max-width: 415px) {
  .text_container {
      padding-left: 20px;
      padding-right: 20px;
      margin-top: 44px;
  }

  .title{
      color: #222222;
      font-size: 32px;
      line-height: 42px;
      }


  .tags_time {
      font-size: 14px;
      line-height: 14px;
      margin-top: 16px;
      margin-bottom: 40px;
  }

  /* .img_default {
      margin-top: 32px;
  } */

  .text_under_img{
      margin-top: 44px;
  
  }

  /* 底部内容 */
  .social_icon_container{
    width:280px;
    margin:128px auto 0 auto;
  }
  
  .social_icon_wrap{
    overflow:hidden;
  }
  
  .social_icon_a{
    float:left;
    margin-right:40px;
    cursor: pointer;
  }
  
  .social_icon_img{
    width:40px;
    -webkit-user-drag: none;
    user-select: none;
  }
  
  .socoal_copyright_containter {
    width: 100%;
    background-color: black;
    padding-top: 80px;
  }
  
  .detail_page_bottom {
    width: 100%;
    height: 96px;
    text-align: center;
    margin-top: 304px;
  }
  
  .copyright {
    line-height: 14px;
    display: block;
    float:none;
    margin-left:0;
  }
  
  
  .all_articles {
    font-size: 28px;
    line-height: 36px;
    text-decoration: none;
    margin: 0 auto;
    position: relative;
    display: block;
    margin-top: -110px;
  }
  
  .find_me_on_github {
    line-height: 14px;
    float: none;
    margin-right: 0;
    display: block;
    margin-top: 92px;
  }
  
  .all_articles:after {
    height: 0px;
  }

  .framer_iframe{
   display: none;
  }
  
  .framer_link{
    display: inherit;
  }


}


